Discussion:
[tomoyo-users-en 653] ccs-patch 4.4/4.7 patch failures
(too old to reply)
0***@cox.net
2016-10-22 17:17:56 UTC
Permalink
Raw Message
I have had problems compiling ArchLinux linux-4.7 and linux-lts-4.4
kernels with
http://jaist.dl.osdn.jp/tomoyo/49684/ccs-patch-1.8.5-20160808.tar.gz. I
found that I could grab the problematic patch files (ccs-patch-4.4.diff
and ccs-patch-4.7.diff) from
http://jaist.dl.osdn.jp/caitsith/66537/caitsith-patch-0.2-20161005.tar.gz and
they seem to work ok. Are there any issues with using the Caitsith
patches with CCS? The changes appear to be minimal, so I'm assuming it
is ok.
Tetsuo Handa
2016-10-23 00:05:35 UTC
Permalink
Raw Message
Hello.
Post by 0***@cox.net
I have had problems compiling ArchLinux linux-4.7 and linux-lts-4.4
kernels with
http://jaist.dl.osdn.jp/tomoyo/49684/ccs-patch-1.8.5-20160808.tar.gz. I
found that I could grab the problematic patch files (ccs-patch-4.4.diff
and ccs-patch-4.7.diff) from
http://jaist.dl.osdn.jp/caitsith/66537/caitsith-patch-0.2-20161005.tar.gz and
they seem to work ok. Are there any issues with using the Caitsith
patches with CCS? The changes appear to be minimal, so I'm assuming it
is ok.
It is OK. ccs-patch-*.diff in ccs-patch-1.8.?-*.tar.gz and caitsith-patch-*.tar.gz
are identical. I just didn't refresh ccs-patch-1.8.5-*.tar.gz in time for you try
compiling the latest kernels. Latest individual ccs-patch-*.diff are available at
https://en.osdn.net/projects/tomoyo/scm/svn/tree/head/trunk/1.8.x/ccs-patch/patches/ .
0***@cox.net
2016-10-23 00:59:56 UTC
Permalink
Raw Message
Thanks for answering my question and also for the link to the latest
patches. That will be very helpful in the future!

-------- Original Message --------
*Subject: *Re: [tomoyo-users-en 653] ccs-patch 4.4/4.7 patch failures
*From: *Tetsuo Handa <penguin-***@I-love.SAKURA.ne.jp>
*To: *tomoyo-users-***@lists.osdn.me, ***@cox.net
*Date: *10/22/2016 05:05pm
Post by Tetsuo Handa
Hello.
Post by 0***@cox.net
I have had problems compiling ArchLinux linux-4.7 and linux-lts-4.4
kernels with
http://jaist.dl.osdn.jp/tomoyo/49684/ccs-patch-1.8.5-20160808.tar.gz. I
found that I could grab the problematic patch files (ccs-patch-4.4.diff
and ccs-patch-4.7.diff) from
http://jaist.dl.osdn.jp/caitsith/66537/caitsith-patch-0.2-20161005.tar.gz and
they seem to work ok. Are there any issues with using the Caitsith
patches with CCS? The changes appear to be minimal, so I'm assuming it
is ok.
It is OK. ccs-patch-*.diff in ccs-patch-1.8.?-*.tar.gz and caitsith-patch-*.tar.gz
are identical. I just didn't refresh ccs-patch-1.8.5-*.tar.gz in time for you try
compiling the latest kernels. Latest individual ccs-patch-*.diff are available at
https://en.osdn.net/projects/tomoyo/scm/svn/tree/head/trunk/1.8.x/ccs-patch/patches/ .
Loading...